Generate product configuration using AI
curl --request POST \
--url https://api.galtea.ai/products/generate-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'userDescription=A mobile sales assistant for smartphones.' \
--form productSpecs=@example-file \
--form 'productName=Mobile Sales Assistant' \
--form useDetailedGeneration=trueimport requests
url = "https://api.galtea.ai/products/generate-config"
files = { "productSpecs": ("example-file", open("example-file", "rb")) }
payload = {
"userDescription": "A mobile sales assistant for smartphones.",
"productName": "Mobile Sales Assistant",
"useDetailedGeneration": "true"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('userDescription', 'A mobile sales assistant for smartphones.');
form.append('productSpecs', '<string>');
form.append('productName', 'Mobile Sales Assistant');
form.append('useDetailedGeneration', 'true');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.galtea.ai/products/generate-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galtea.ai/products/generate-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"userDescription\"\r\n\r\nA mobile sales assistant for smartphones.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productSpecs\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productName\"\r\n\r\nMobile Sales Assistant\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"useDetailedGeneration\"\r\n\r\ntrue\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: multipart/form-data"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.galtea.ai/products/generate-config"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"userDescription\"\r\n\r\nA mobile sales assistant for smartphones.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productSpecs\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productName\"\r\n\r\nMobile Sales Assistant\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"useDetailedGeneration\"\r\n\r\ntrue\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.galtea.ai/products/generate-config")
.header("Authorization", "Bearer <token>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"userDescription\"\r\n\r\nA mobile sales assistant for smartphones.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productSpecs\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productName\"\r\n\r\nMobile Sales Assistant\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"useDetailedGeneration\"\r\n\r\ntrue\r\n-----011000010111000001101001--")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galtea.ai/products/generate-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"userDescription\"\r\n\r\nA mobile sales assistant for smartphones.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productSpecs\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productName\"\r\n\r\nMobile Sales Assistant\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"useDetailedGeneration\"\r\n\r\ntrue\r\n-----011000010111000001101001--"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"description": "<string>",
"specifications": [
{
"name": "<string>",
"description": "<string>",
"type": "CAPABILITY",
"testType": "QUALITY",
"testVariant": "<string>"
}
],
"interactionMode": "CONVERSATIONAL",
"primaryTask": "QUESTION_ANSWERING_RAG"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}Generate product configuration using AI
Uses AI to generate a refined product description and testable specifications from a product name and user description. Optionally accepts product specification files (documents, images, audio, video, code) to enrich the generation. See Products.
POST
/
products
/
generate-config
Generate product configuration using AI
curl --request POST \
--url https://api.galtea.ai/products/generate-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'userDescription=A mobile sales assistant for smartphones.' \
--form productSpecs=@example-file \
--form 'productName=Mobile Sales Assistant' \
--form useDetailedGeneration=trueimport requests
url = "https://api.galtea.ai/products/generate-config"
files = { "productSpecs": ("example-file", open("example-file", "rb")) }
payload = {
"userDescription": "A mobile sales assistant for smartphones.",
"productName": "Mobile Sales Assistant",
"useDetailedGeneration": "true"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('userDescription', 'A mobile sales assistant for smartphones.');
form.append('productSpecs', '<string>');
form.append('productName', 'Mobile Sales Assistant');
form.append('useDetailedGeneration', 'true');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.galtea.ai/products/generate-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.galtea.ai/products/generate-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"userDescription\"\r\n\r\nA mobile sales assistant for smartphones.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productSpecs\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productName\"\r\n\r\nMobile Sales Assistant\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"useDetailedGeneration\"\r\n\r\ntrue\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: multipart/form-data"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.galtea.ai/products/generate-config"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"userDescription\"\r\n\r\nA mobile sales assistant for smartphones.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productSpecs\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productName\"\r\n\r\nMobile Sales Assistant\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"useDetailedGeneration\"\r\n\r\ntrue\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.galtea.ai/products/generate-config")
.header("Authorization", "Bearer <token>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"userDescription\"\r\n\r\nA mobile sales assistant for smartphones.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productSpecs\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productName\"\r\n\r\nMobile Sales Assistant\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"useDetailedGeneration\"\r\n\r\ntrue\r\n-----011000010111000001101001--")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.galtea.ai/products/generate-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"userDescription\"\r\n\r\nA mobile sales assistant for smartphones.\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productSpecs\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"productName\"\r\n\r\nMobile Sales Assistant\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"useDetailedGeneration\"\r\n\r\ntrue\r\n-----011000010111000001101001--"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"description": "<string>",
"specifications": [
{
"name": "<string>",
"description": "<string>",
"type": "CAPABILITY",
"testType": "QUALITY",
"testVariant": "<string>"
}
],
"interactionMode": "CONVERSATIONAL",
"primaryTask": "QUESTION_ANSWERING_RAG"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}You are reading the docs of Galtea 5.13. Read this page in the latest version.
Authorizations
Body
multipart/form-data
Response
Product configuration generated successfully
Suggested primary task, which the caller may keep or replace. Null when the classification was unavailable.
Available options:
CONVERSATIONAL_ASSISTANCE, QUESTION_ANSWERING_RAG, DOCUMENT_EXTRACTION, DOCUMENT_GENERATION, SUMMARIZATION, CLASSIFICATION, TRANSLATION, CORRECTION, AGENTIC_WORKFLOW, OTHER, null Example:
"QUESTION_ANSWERING_RAG"